Bug 204343 - Review Request: qcomicbook - a comic book viewing program
Review Request: qcomicbook - a comic book viewing program
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-28 12:33 EDT by Scott Baker
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.3.2-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 16:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Baker 2006-08-28 12:33:19 EDT
Built rpms on 3 FC5 boxes all come up clean. rpmlint is happy on both the SRPM and the binary rpm.

------------------------------------------------------------------------

Spec URL: http://www.perturb.org/tmp/qcomicbook-0.3.2-2.src.rpm

SRPM URL: http://www.perturb.org/tmp/qcomicbook.spec

Description: QComicBook is a viewer for comic book archives: rar, cbr,
zip, cbz, ace, cba,tar.gz, cbg, tar.bz2, cbb. QComicBook
aims at convenience and simplicity. Features include:
automatic decompression, full-screen mode, two pages mode,
japanese mode, thumbnails view, page scaling and rotating,
page preloading and caching, mouse or keyboard navigation,
bookmarks etc.

QComicBook requires zip/unzip, rar/unrar, tar with
gzip+bzip2 support and unace to handle archives.
Comment 1 Brian Pepple 2006-08-28 12:58:45 EDT
This package can't require unrar, since it is not allowed into FE.
Comment 2 Scott Baker 2006-08-28 13:13:09 EDT
Good catch... Updated and reposted.

SRPM: http://www.perturb.org/tmp/qcomicbook-0.3.2-3.src.rpm
Spec URL: http://www.perturb.org/tmp/qcomicbook.spec
Comment 3 Brian Pepple 2006-08-28 13:28:19 EDT
Couple of quick items (note this is not an official review):

1. Desktop file is not handled correctly.  Refer to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755
2. In the build section you should use 'make %{?_smp_mflags}' instead of '%{__make}'
3. The Requires on qt & imlib2 are unnecessary since the sonames on the devel
packages will pull these in.
4. You should use 'rm -rf $RPM_BUILD_ROOT' instead of '[ "$RPM_BUILD_ROOT" !=
"/" ] && rm -rf "$RPM_BUILD_ROOT"' in your spec.
Comment 4 Scott Baker 2006-08-28 13:51:04 EDT
Updated the package with the comments in #3. rpmlint is clean on the SRPM and
the binary RPM.

SRPM: http://www.perturb.org/tmp/qcomicbook-0.3.2-4.src.rpm
Spec URL: http://www.perturb.org/tmp/qcomicbook.spec
Comment 5 John Mahowald 2006-08-30 18:59:09 EDT
Don't set BuildArch.  The build system builds on i386 not i686, so it won't
build with mock. Not only that, but this breaks other architectures like x86_64
and ppc.

If you must force it to build on certain arches only use ExclusiveArch. I don't
think this will be necessary.
Comment 6 Parag AN(पराग) 2006-08-31 07:41:16 EDT
packaging looks ok.
+ Mockbuild is successfull for i386 FC6
+ rpmlint on binary rpm is silent
+ dist tag is present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ Desktop file is handled correctly
+ MD5 sum on tarball is matching upstream tarball
ab191878d0694c77c4e5dd1d22f3d14c  qcomicbook-0.3.2.tar.gz
+ No duplicate files
Comment 7 Scott Baker 2006-08-31 12:54:50 EDT
I removed the buildarch and created a new release.

SRPM: http://www.perturb.org/tmp/qcomicbook-0.3.2-5.src.rpm
Spec URL: http://www.perturb.org/tmp/qcomicbook.spec
Comment 8 John Mahowald 2006-09-02 15:25:08 EDT
+ Built and run on fc5 x86_64. Also built on fc6 x86_64.
+ Sucessfully extracted .tar.gz, .tar.bz, and .zip files.
+ I agree with comment 6

- It does not appear in my Gnome menus for some reason.
Comment 9 Mamoru TASAKA 2006-09-03 10:02:59 EDT
Well, this pachage (-0.3.2-5) fails to be rebuilt in mock
on 2.6.17-1.2174_FC5smp with leaving the logs:

config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating icons/Makefile
config.status: creating help/Makefile
config.status: creating help/en/Makefile
config.status: creating src/config.h
config.status: executing depfiles commands
+ -j2
/var/tmp/rpm-tmp.30019: line 50: -j2: command not found
error: Bad exit status from /var/tmp/rpm-tmp.30019 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.30019 (%build)
Error building package from qcomicbook-0.3.2-5.fc5.src.rpm, See build log
ending
DEBUG: Executing /usr/sbin/mock-helper umount
/var/lib/mock/fedora-5-i386-core/root/proc
DEBUG: Executing /usr/sbin/mock-helper umount
/var/lib/mock/fedora-5-i386-core/root/dev/pts
done

... by a apparent typo in spec file ( the line %{?_smp_mflags} )
Comment 10 Brian Pepple 2006-09-03 11:08:47 EDT
(In reply to comment #9)
> Well, this pachage (-0.3.2-5) fails to be rebuilt in mock
> ... by a apparent typo in spec file ( the line %{?_smp_mflags} )

Correct, 'make %{?_smp_mflags}' should be used instead of '%{?_smp_mflags}'

Comment 11 Scott Baker 2006-09-03 13:59:49 EDT
Oh good catch. Updated spec and package:

SRPM: http://www.perturb.org/tmp/qcomicbook-0.3.2-6.src.rpm
Spec: http://www.perturb.org/tmp/qcomicbook.spec
Comment 12 John Mahowald 2006-09-07 23:54:42 EDT
+ Comment 8 still applies.
+ file permissions good
+ proper macros
+ follows naming guidelines
+ rpmlint clean

For readability consider removing the unused commented out lines.

APPROVED
Comment 13 Mamoru TASAKA 2006-09-11 12:12:46 EDT
Hello, John. Did you accept to sponsor Scott?
This is in fact NEEDSPONSOR issue. See bug 199780.
Comment 14 John Mahowald 2006-09-11 14:18:57 EDT
Yes I am sponsoring. Apply for cvsextras.

I still highly recommend removing the commented out lines for readibility,
however. Without syntax highlighting it is difficult to see what lines are
evaluated and which are not.
Comment 15 Scott Baker 2006-09-12 16:30:18 EDT
I applied for CVS extras. What's next?
Comment 16 Mamoru TASAKA 2006-09-13 11:10:26 EDT
(In reply to comment #15)
> I applied for CVS extras. What's next?

Please follow :
http://fedoraproject.org/wiki/Extras/Contributors
Comment 17 Scott Baker 2006-09-13 11:20:49 EDT
I applied for cvsextras (or so I thought). I tried to do it again today and I
get an error:

'Add' action denied. You may need to become a member of the cla_done group
first. I'm "in progress" in the cla_done group. I don't even know what that is.
Comment 18 Mamoru TASAKA 2006-09-15 00:55:32 EDT
Well, I cannot see qcomicbook on buildsys or mirror server yet.
What is happening?

Note You need to log in before you can comment on or make changes to this bug.